## miniature 0.1.10-3

=== tools/Makefile ===
# Makefile.in generated by automake 1.8.5 from Makefile.am.
# tools/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/miniature
pkglibdir = $(libdir)/miniature
pkgincludedir = $(includedir)/miniature
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i486-pc-linux-gnu
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/tools/shave.mk
subdir = tools
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/build/autotroll.m4 \
	$(top_srcdir)/build/miniature.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(mkdir_p)
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SCRIPTS = $(noinst_SCRIPTS)
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/michael/miniature/build/missing --run aclocal-1.8
ACLOCAL_FLAGS = 
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} /home/michael/miniature/build/missing --run tar
AM_CXXFLAGS = 
AM_LDFLAGS = 
AR = ar
AUTOCONF = ${SHELL} /home/michael/miniature/build/missing --run autoconf
AUTOHEADER = ${SHELL} /home/michael/miniature/build/missing --run autoheader
AUTOMAKE = ${SHELL} /home/michael/miniature/build/missing --run automake-1.8
AWK = gawk
CC = cc
CCDEPMODE = depmode=none
CFLAGS = -g -Wall -O2
CPP = cc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -Wall -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GLIB_GENMARSHAL = glib-genmarshal
GREP = /scratchbox/tools/bin/grep
HAVE_MAEMOCONTACTSELECTOR_FALSE = #
HAVE_MAEMOCONTACTSELECTOR_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAEMOCONTACTSELECTOR_CFLAGS = -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2  
MAEMOCONTACTSELECTOR_LIBS = -pthread -losso-abook-1.0 -lhildon-1 -lhildonfm -lhildonmime -lebook-1.2 -lmcclient -losso -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnomevfs-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ledataserver-1.2 -lxml2 -lgconf-2 -ltelepathy-glib -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0  
MAKEINFO = ${SHELL} /home/michael/miniature/build/missing --run makeinfo
MINIATURE_CFLAGS = -DQT_SHARED -I/usr/include/telepathy-1.0 -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtNetwork -I/usr/include/QtXml  
MINIATURE_LIBS = -ltelepathy-qt4  
MINIATURE_PLATFORM = maemo5
MINIATURE_PLATFORM_MAEMO5_FALSE = #
MINIATURE_PLATFORM_MAEMO5_TRUE = 
MINIATURE_PLATFORM_MAEMO6_FALSE = 
MINIATURE_PLATFORM_MAEMO6_TRUE = #
MOC = /usr/bin/moc
NMEDIT = 
OBJEXT = o
PACKAGE = miniature
PACKAGE_BUGREPORT = http://wiki.maemo.org/Miniature
PACKAGE_NAME = miniature
PACKAGE_STRING = miniature 0.1.10
PACKAGE_TARNAME = miniature
PACKAGE_VERSION = 0.1.10
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
QMAKE = /usr/bin/qmake
QT_CFLAGS = -pipe -g -Wall -W -D_REENTRANT $(QT_DEFINES)
QT_CPPFLAGS = -DQT_NO_KEYWORDS -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtOpenGL -I/targets/FREMANTLE_X86/usr/include/QtSvg -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -I/usr/X11R6/include -I.
QT_CXXFLAGS = -pipe -g -Wall -W -D_REENTRANT $(QT_DEFINES)
QT_DEFINES = -DQT_NO_KEYWORDS -DQT_MAEMO5_LIB -DQT_DBUS_LIB -DQT_SVG_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
QT_INCPATH = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtNetwork -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include/QtOpenGL -I/targets/FREMANTLE_X86/usr/include/QtSvg -I/targets/FREMANTLE_X86/usr/include/QtDBus -I/targets/FREMANTLE_X86/usr/include/QtMaemo5 -I/targets/FREMANTLE_X86/usr/include -I. -I/usr/X11R6/include -I.
QT_LDFLAGS = -Wl,-rpath,/usr/lib
QT_LFLAGS = -Wl,-rpath,/usr/lib
QT_LIBS = -L/usr/lib -L/usr/X11R6/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtSvg -lQtOpenGL -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lGLU -lGL -lpthread 
QT_PATH = /opt/qt4-maemo5/bin
QT_VERSION = 4.6.2
QT_VERSION_MAJOR = 4
RANLIB = ranlib
RCC = /usr/bin/rcc
SED = /scratchbox/tools/bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
UIC = /usr/bin/uic
VERSION = 0.1.10
XSLTPROC = xsltproc
ac_ct_CC = cc
ac_ct_CXX = 
ac_ct_F77 = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i486-pc-linux-gnu
build_alias = i486-linux-gnu
build_cpu = i486
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
desktopentrydir = /usr/share/applications/hildon
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i486-pc-linux-gnu
host_alias = 
host_cpu = i486
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/michael/miniature/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/miniature
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 
QUIET_GEN = $(Q:@=@echo '  GEN   '$@;)
abs_top_builddir = /home/michael/miniature
noinst_SCRIPTS = telepathy-glib-env
EXTRA_DIST = \
    c-constants-gen.py \
    check-coding-style.mk \
    check-c-style.sh \
    check-misc.sh \
    check-whitespace.sh \
    doc-generator.xsl \
    flymake.mk \
    glib-client-gen.py \
    glib-client-marshaller-gen.py \
    glib-errors-enum-body-gen.py \
    glib-errors-enum-header-gen.py \
    glib-ginterface-gen.py \
    glib-gtypes-generator.py \
    glib-interfaces-gen.py \
    glib-signals-marshal-gen.py \
    gobject-foo.py \
    identity.xsl \
    lcov.am \
    libtpcodegen.py \
    libglibcodegen.py \
    make-version-script.py \
    telepathy.am \
    telepathy-glib-env.in \
    with-session-bus.sh

CLEANFILES = libtpcodegen.pyc libtpcodegen.pyo libglibcodegen.pyc libglibcodegen.pyo $(noinst_SCRIPTS)
TELEPATHY_SPEC_SRCDIR = $(top_srcdir)/../telepathy-spec
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/tools/shave.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tools/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  tools/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../tools
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(SCRIPTS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

## miniature 0.1-1

=== debian/changelog ===
miniature (0.1-1) unstable; urgency=low

  * Initial release.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Sun, 15 Nov 2009 20:11:13 +0100

=== debian/control ===
Source: miniature
Section: games
Priority: optional
Maintainer: Michael Hasselmann <michael@taschenorakel.de>
Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
Build-Depends: debhelper (>= 5.0.0), cdbs, libqt4-maemo5-dev (>= 4.6.0~git20091105),
 osso-af-settings (>= 0.9.2)

Package: miniature
Section: games
Architecture: any
Depends: ${shlibs:Depends}
Description: A chess board that goes always with you, ready to let you play and
 learn wherever you go.
 .
  * The main use case is playing online against other players at
    http://freechess.org (FICS)
  * Now imagine that you can also chat with the other player.
  * Learning is important: watch games live, review stored games and also
    process offline the lessons offered at FICS.
  * Play P2P games against other players next to you or in your Contacts.
  * And not only regular chess. See also Antichess, Chess960...
 .
 Miniature is based on Qt, targets Maemo as primary platform and plans to have
 ports for Symbian, Windows Mobile and desktop OSs (Linux, Windows, Mac).

## miniature 0.1.1-1

=== debian/changelog ===
miniature (0.1.1-1) unstable; urgency=low

  * Add icon to be shown in Hildon Task Launcher and Application Manager.
  * Created a more visible selection frame, refined move handling.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Tue, 17 Nov 2009 23:53:54 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
  osso-af-settings (>= 0.9.2)
 
 Package: miniature
-Section: games
+Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: A chess board that goes always with you, ready to let you play and
- learn wherever you go.
+Description: A chess board to play and learn wherever you go.
  .
   * The main use case is playing online against other players at
     http://freechess.org (FICS)
@@ -23,4 +22,51 @@
  .
  Miniature is based on Qt, targets Maemo as primary platform and plans to have
  ports for Symbian, Windows Mobile and desktop OSs (Linux, Windows, Mac).
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAVFgAAFRYBDHmQBwAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAAd+SURBVGiBvZp7bFtXHce/5xzHju2kefa1
+ bm1pSauWtkOw0YD4B5jkISFkgfcPUsVzCNGKsUdRpKKMso2qYlPFQ4ynJrQJ
+ JIhKAGlS/kBCYjAVARkVa5KmeTS248Tx29ePe8+LP2wncWMn6c1NftKRj3zP
+ Ob/f59zfOed3fjbRWsNJuXhpsBMEgy7G+gmlp5WURAh5kwtxg3P+wk+uvZxy
+ Uh9xEmBg8DtBj8f9c0bZbssyVS6bpUJItHq9irW0UMviS2Wz/OTPfnDtj07p
+ dAxg8MWXAi5Xy5vcMhGemab5XBacCwjBwTmHx+vDwSN9irlcEFJ+4tVrL//V
+ Cb2OAAwMXvZ7PO4JrdT+iXdvUikEpFRV4wU4r0BoaJx8+AOKUBb2+/wnX7ny
+ QnGruumWrQfgcrHzjNIDkbszVAoBANBaQSkFpSSUUtBagVsWJsdvUQ19KJ3J
+ fNUJ3Y4AgJCzWmudz2YAAEopSKmglK6WGoxGJpmA5EJRSh51QrXLiUEoIaeL
+ xQJq7qiUrr6BldmvQUipkEoliSnUCUd0OzEIIcSitDKU1nrZ8PpSeRPFYhEL
+ i3EIIQpO6HbGhYDJ1lYvCKHV2dd1Rq8ukWgUvrZ2DeBdJxQ7AsCFeIMQQnr2
+ 7Fkz+6vdJ5fLYfe+B8AYowCGndDtCACjtIVQwnt2720y+5V6MpnEoaN9ACCc
+ 0As4ADAwePmKy+X6jVkqs6nb4w18v1Ly+TxyuRxGb/wdhXyOAHgzEAwNbFX/
+ lg6yb3/3xXNut/vX2XSKzE1PwTTLEKJ2cK2cwpZlYWxsHKZpAgAYYzjzyFns
+ 3rcfAIIjw0O2Qwvbb+DipcH3MsZeNUslHZ6ZghB8ldvUu08sFls2HgCklLj5
+ 73/CyOeU1vr1QDB0cMcBPB7385RS3+zUJG3mNkoplEolxONLa/pLIfDOjX9Q
+ AH4A39xRgAvPXGxjjH0ml0kTs1xanunVO87ythmJoJmbFgsFLETDVGv9ZCAY
+ atsxAJ/P+wSj1JdcigNAwwNLa4VCoYhsNrvuWNG7syCEtAH4pB1bbAFQyk4A
+ QKlYXLVtri2p1MZ3l3wuV6setWWLnU6EkqNKay0FX9d9MpnMhmNxy4TgXAJ4
+ jx1bbAEopaiuOnajma/BlMvlTY4nNWwGlrYASqXyNKOUajT2f6UUON/cYUsI
+ QYvbwwCE7dhiCyBvGDcBwOv1NfV/KTcH0NHVDUIIATBlxxZbAIZR+INUknd0
+ 9TSMOJXSIGRzQz9w8BAAWAD+bMcWWwC/f/21XLFU+ktnb6/2+f11C7h2kdFa
+ o3ZHaCad3T04cPCwBnB9ZHho4xXvFAAAJBLpL3HO04f7jivmct0TRlTqjLGm
+ /d0eDx7+UL8EsADgKbt22AZ47ac/jkHrJxhj6sixExqoAazcB5oBEELw/kf7
+ tdvtkYSQT48MD8V3HAAAjvf1veVyuf7m9fvJg4ePLLuS1iulYb9TZ9DZ00sI
+ IX8CMLoVG2wDXHj2W4+PT06OmRb/WD6bUwvR6LL7VDISCpbFG/aN3J1FOpnQ
+ AEJa69FAMPRRu3bYug88dXHgl15v65dN01Szd27Thfl5cM7rElnxeHzDOGjf
+ gYdw/NQZ6WltZQBeGRkeem7bAS5fufoj07IuxGPzmJm8DdM01xifTqewuLg5
+ t2bMhWOnTuOhw0cA4NLI8ND37see+3KhgecvPy2EOJ9JJjB7Z7J6iVnJ99TS
+ Jo3i/2YipcDYf0exEAkDwEuBYOjz2wJw/pnngi0u1/eNfA7TtyfqdpvagjVN
+ E9FotGn8v578b/RftXXxq0Aw9LijAOe+8rVTHbt2/dY0TTo5douIavJ29Sks
+ hEQ4HIaU8r6NByox1Ts33iYFI0+01tcDwdD7HAM4+OCBX7gY80yN3yLcMpdn
+ vPYWpFSYm5uru/faEc4t/Oftt6iUwg3gh44AfP3pZ4Nuj7s/FgmTUrFwT+RZ
+ uQfEYjEYhrEl42tSKhYxPTHOAHw8EAx9assALS3uq5ZpqsXY/Jp9XikFwyhg
+ aWnzi3YzMjd9B+VSSWqtr27Udl2A0LkvfLCzY9exxfkIlVJUg7QV95Gy4vdO
+ i1IKM5MTjBByMhAM9a/Xdl2A/Xv3fIMAOrm0dM/sV+qJRAKlUslZ66uyEAlD
+ KaUAfHG9dk0BAsGQ2+/zfzadShLOLdTn+iv1eNx2DLahcG4hHotSrfXnAsGQ
+ r1m7pgAnjh97zOtt9aeWlhpeWNLp9JZ3nY0kFgnXUi4fbtamKUB7W9tjWmsY
+ Rq4uxq+VRMLZhdtIMitpmbPN2qyzBvQjpmkqyzSx9qciCcNw5AeWdYVbJkrF
+ ooQdAK31GSOXpY2StYVCEZX1tf2SSSWY1vojzZ43BPjd9WEvY6yjvJz3rC+G
+ kd8+i++RomGAENLbbCE3BJiend2vtAa3rDXJqspFxdpeq1cJX9HV1eh5Q4BM
+ JturlQK3+Br3qX3ulFh8fYCG6TzLsnoYa0V7RycIYxBCVIuEEAItXj+69+Ya
+ dXVcfP7lrHtno+cNAaRSXUpr7Orqgr+9HUIqSFkxXkoJt68N3cUt/83hfqW7
+ 0Zf/B0y6DUPWuArsAAAAAElFTkSuQmCC

## miniature 0.1.2-1

=== debian/changelog ===
miniature (0.1.2-1) unstable; urgency=low

  * Only legal moves can be performed by every piece.
  * Pieces can be properly captured.
  * Black and white take turns.
  * Pawns are automatically promoted to pawns once they reach the last rank.
  * A new - less glossy - board skin was added.
  * A debug console has been added.
  * Implement OSSO D-Bus service to prevent getting killed from watchdog.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Fri, 27 Nov 2009 11:40:17 +0100

## miniature 0.1.3-1

=== debian/changelog ===
miniature (0.1.3-1) unstable; urgency=low

  * Moved players to bottom and top of board so that a player is located "behind" his pieces.
  * Introduced an action area for each player that indicates the status during
    a turn. It also allows the player to cancel a piece selection and to
    confirm a move, thus ending a turn. Undoing a move can be performed by clicking
    the piece's origin.
  * Store a complete history of the game, thus enabling prev/next move
    functionality again.
  * Implemented visual check hint.
  * Improved piece selection and move performance
  * Let Miniature start with the start position

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Fri, 18 Dec 2009 11:54:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,13 @@
 Priority: optional
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
 Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
-Build-Depends: debhelper (>= 5.0.0), cdbs, libqt4-maemo5-dev (>= 4.6.0~git20091105),
- osso-af-settings (>= 0.9.2)
+Build-Depends: debhelper (>= 5.0.0), cdbs,
+ libqt4-maemo5-dev (>= 4.6.0~git20091105), libqt4-maemo5-dbus,
+ libqt4-maemo5-network, libqt4-maemo5-phonon, libqt4-maemo5-svg,
+ libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, osso-af-settings (>= 0.9.2),
+ libgconf2-dev, libsqlite3-dev, desktop-file-utils
+Standards-Version: 3.7.2
+
 
 Package: miniature
 Section: user/games

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-qt=/opt/qt4-maemo5/bin

## miniature 0.1.4-1

=== debian/changelog ===
miniature (0.1.4-1) unstable; urgency=low

  * Introduce various animations.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Mon, 21 Dec 2009 20:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Build-Depends: debhelper (>= 5.0.0), cdbs,
  libqt4-maemo5-dev (>= 4.6.0~git20091105), libqt4-maemo5-dbus,
  libqt4-maemo5-network, libqt4-maemo5-phonon, libqt4-maemo5-svg,
- libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, osso-af-settings (>= 0.9.2),
- libgconf2-dev, libsqlite3-dev, desktop-file-utils
+ libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, libqt4-maemo5-opengl,
+ osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,
+ desktop-file-utils
 Standards-Version: 3.7.2

## miniature 0.1.5-1

=== debian/changelog ===
miniature (0.1.5-1) unstable; urgency=low

  * Improve animation speed.
  * Introduce piece shadows as cancel indicator.

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Mon, 21 Dec 2009 22:35:18 +0100

## miniature 0.1.6-1

=== debian/changelog ===
miniature (0.1.6-1) unstable; urgency=low

  * Fixes b.m.o bug #7203 - "Game can continue with King being in check by Knight".
  * Fixes b.m.o bug #7204 - "Pawn won't promote to Queen".
  * Fixes b.m.o bug #7205 - "Castling doesn't work".
  * Fixes b.m.o bug #7252 - "Miniature doesn't know about en-passant captures".
  * Fixes b.m.o bug #7251 - "A Second Queen does not cause check".
  * Fixes b.m.o bug #7253 - "Check! when there is actually no check".
  * Fixes b.m.o bug #7255 - "Animations seem to get corrupted over time".

 -- Mathias Hasselmann <mathias.hasselmann@maemo.org>  Mon, 11 Jan 2010 21:13:56 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --with-qt=/opt/qt4-maemo5/bin --enable-opengl

## miniature 0.1.7-1

=== debian/changelog ===
miniature (0.1.7-1) unstable; urgency=low

  * New pre-game screen added to choose between game modes.
  * In local games, both player have their own dashboard now, fullscreened. It
    demoes the (incomplete) user interaction proposed here:
    http://wiki.maemo.org/Miniature/Development/Phase_1.0:_Offline_chess_basics#New_UX_proposal
  * Game log screen allows for easier bug reporting.

 -- Michael Hasselmann <michael@taschenorakel.de>  Tue, 09 Feb 2010 00:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
 Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
 Build-Depends: debhelper (>= 5.0.0), cdbs,
- libqt4-maemo5-dev (>= 4.6.0~git20091105), libqt4-maemo5-dbus,
+ libqt4-maemo5-dev, libqt4-maemo5-dbus,
  libqt4-maemo5-network, libqt4-maemo5-phonon, libqt4-maemo5-svg,
  libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, libqt4-maemo5-opengl,
  osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,

## miniature 0.1.8-1

=== debian/changelog ===
miniature (0.1.8-1) unstable; urgency=low

  * New game icons.
  * Improved game log.
  * Position pasting (FEN strings only).
  * Moving to QGraphicsLayout for dashboard.

 -- Michael Hasselmann <michael@taschenorakel.de>  Sat, 10 Apr 2010 17:04:00 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
 Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
 Build-Depends: debhelper (>= 5.0.0), cdbs,
- libqt4-maemo5-dev, libqt4-maemo5-dbus,
- libqt4-maemo5-network, libqt4-maemo5-phonon, libqt4-maemo5-svg,
- libqt4-maemo5-webkit, libqt4-maemo5-xmlpatterns, libqt4-maemo5-opengl,
+ libqt4-dev, libqt4-dbus,
+ libqt4-network, libqt4-phonon, libqt4-svg,
+ libqt4-webkit, libqt4-xmlpatterns, libqt4-opengl,
  osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,
  desktop-file-utils
 Standards-Version: 3.7.2

## miniature 0.1.9-1

=== debian/changelog ===
miniature (0.1.9-1) unstable; urgency=low

  * Added P2P support.
  * Added libosso-abook integration for P2P account selection.
  * Added Telepathy tubes for P2P.
  * Fix main screen crashes.

 -- Michael Hasselmann <michael@taschenorakel.de>  Thu, 8 Jul 2010 21:28:00 +0300

## miniature 0.1.9-2

=== debian/changelog ===
miniature (0.1.9-2) unstable; urgency=low

  * Added P2P support.
  * Added libosso-abook integration for P2P account selection.
  * Added Telepathy tubes for P2P.
  * Fix main screen crashes.

 -- Michael Hasselmann <michael@taschenorakel.de>  Thu, 8 Jul 2010 21:28:00 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
 Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
 Build-Depends: debhelper (>= 5.0.0), cdbs,
- libqt4-dev, libqt4-dbus,
- libqt4-network, libqt4-phonon, libqt4-svg,
- libqt4-webkit, libqt4-xmlpatterns, libqt4-opengl,
+ libqt4-dev, libqt4-dbus, libqt4-network, libqt4-svg, libqt4-opengl,
+ libtelepathy-qt4-dev, libhildon1-dev (>= 2.2.19),
  osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,
  desktop-file-utils
 Standards-Version: 3.7.2

## miniature 0.1.9-3

=== debian/changelog ===
miniature (0.1.9-3) unstable; urgency=low

  * Added P2P support.
  * Added libosso-abook integration for P2P account selection.
  * Added Telepathy tubes for P2P.
  * Fix main screen crashes.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 9 Jul 2010 02:09:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
-Uploaders: Mathias Hasselmann <mathias.hasselmann@maemo.org>
+Uploaders: Michael Hasselmann <michael@taschenorakel.de>
 Build-Depends: debhelper (>= 5.0.0), cdbs,
  libqt4-dev, libqt4-dbus, libqt4-network, libqt4-svg, libqt4-opengl,
  libtelepathy-qt4-dev, libhildon1-dev (>= 2.2.19),
  osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,
- desktop-file-utils
+ desktop-file-utils, libosso-abook-dev
 Standards-Version: 3.7.2
 
 
@@ -27,6 +27,7 @@
  .
  Miniature is based on Qt, targets Maemo as primary platform and plans to have
  ports for Symbian, Windows Mobile and desktop OSs (Linux, Windows, Mac).
+XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi?product=Miniature
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAVFgAAFRYBDHmQBwAAABl0RVh0U29mdHdhcmUAd3d3

## miniature 0.1.10-3

=== debian/changelog ===
miniature (0.1.10-3) unstable; urgency=low

  * Filter contacts on their capabilities: Do not show them in the contact
    selector if they cannot do telepathy stream tube of type Miniature
  * Retrieve the contact name from the addressbook and display "Do you want to
    play chess with xxx?" with that name
  * Display the name of the contact in the telepathy approver
  * Fix crash: destroy TpApprover after finishing using it

 -- Michael Hasselmann <michael@taschenorakel.de>  Wed,22 Jul 2010 09:33:00 +0300

## miniature 0.4.0-1fremantle1

=== tests/testfics/Makefile ===
#############################################################################
# Makefile for building: testfics
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:01:48 2011
# Project:  testfics.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile testfics.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMINIATURE_GUI_ENABLED -DMINIATURE_LIB_PATH=\"/home/michael/miniature/tests/testfics/../../game\" -DMINIATURE_BIN=\"/home/michael/miniature/tests/testfics/../../src/miniature\" -DTEST_SCENARIOS_DIR=\"/home/michael/miniature/tests/testfics/../../tests/data/scenarios\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/targets/10-armv7/usr/include/qt4/QtCore -I/targets/10-armv7/usr/include/qt4/QtGui -I/targets/10-armv7/usr/include/qt4 -I/targets/10-armv7/usr/include/qt4/QtTest -I../../game -I.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../game -lminiature-game -lQtTest -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = ../utils/scenario.cc \
		../utils/scenarioloader.cc \
		testfics.cc 
OBJECTS       = .obj/scenario.o \
		.obj/scenarioloader.o \
		.obj/testfics.o
DIST          = /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testfics.pro
QMAKE_TARGET  = testfics
DESTDIR       = 
TARGET        = testfics

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testfics.pro  /targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testfics.pro
/targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf:
../../config.pri:
../config.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testfics.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/testfics1.0.0 || $(MKDIR) .obj/testfics1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/testfics1.0.0/ && $(COPY_FILE) --parents ../testutils.h ../utils/scenario.h ../utils/scenarioloader.h .obj/testfics1.0.0/ && $(COPY_FILE) --parents ../utils/scenario.cc ../utils/scenarioloader.cc testfics.cc .obj/testfics1.0.0/ && (cd `dirname .obj/testfics1.0.0` && $(TAR) testfics1.0.0.tar testfics1.0.0 && $(COMPRESS) testfics1.0.0.tar) && $(MOVE) `dirname .obj/testfics1.0.0`/testfics1.0.0.tar.gz . && $(DEL_FILE) -r .obj/testfics1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: .moc/testfics.moc
compiler_moc_source_clean:
	-$(DEL_FILE) .moc/testfics.moc
.moc/testfics.moc: testfics.cc
	/usr/bin/moc $(DEFINES) $(INCPATH) testfics.cc -o .moc/testfics.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

.obj/scenario.o: ../utils/scenario.cc ../utils/scenario.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/scenario.o ../utils/scenario.cc

.obj/scenarioloader.o: ../utils/scenarioloader.cc ../utils/scenarioloader.h \
		../utils/scenario.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/scenarioloader.o ../utils/scenarioloader.cc

.obj/testfics.o: testfics.cc .moc/testfics.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/testfics.o testfics.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== tests/testgame/Makefile ===
#############################################################################
# Makefile for building: testgame
# Generated by qmake (2.01a) (Qt 4.7.4) on: Fri Oct 14 04:01:28 2011
# Project:  testgame.pro
# Template: app
# Command: /usr/bin/qmake PREFIX=/opt CONFIG+=enable-gui -o Makefile testgame.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DMINIATURE_GUI_ENABLED -DMINIATURE_LIB_PATH=\"/home/michael/miniature/tests/testgame/../../game\" -DMINIATURE_BIN=\"/home/michael/miniature/tests/testgame/../../src/miniature\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -g -Wno-psabi -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo -I. -I/targets/10-armv7/usr/include/qt4/QtCore -I/targets/10-armv7/usr/include/qt4/QtGui -I/targets/10-armv7/usr/include/qt4 -I/targets/10-armv7/usr/include/qt4/QtTest -I../../game -I.. -I.moc
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../game -lminiature-game -lQtTest -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = testgame.cc 
OBJECTS       = .obj/testgame.o
DIST          = /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		testgame.pro
QMAKE_TARGET  = testgame
DESTDIR       = 
TARGET        = testgame

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: testgame.pro  /targets/10-armv7/usr/share/qt4/mkspecs/linux-g++-maemo/qmake.conf /targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../config.pri \
		../config.pri \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testgame.pro
/targets/10-armv7/usr/share/qt4/mkspecs/common/g++.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/unix.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/common/linux.conf:
/targets/10-armv7/usr/share/qt4/mkspecs/qconfig.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_pre.prf:
../../config.pri:
../config.pri:
/targets/10-armv7/usr/share/qt4/mkspecs/features/release.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qtestlib.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/qt.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/moc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/resources.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/uic.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/lex.prf:
/targets/10-armv7/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) PREFIX=/opt CONFIG+=enable-gui -o Makefile testgame.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/testgame1.0.0 || $(MKDIR) .obj/testgame1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/testgame1.0.0/ && $(COPY_FILE) --parents ../testutils.h .obj/testgame1.0.0/ && $(COPY_FILE) --parents testgame.cc .obj/testgame1.0.0/ && (cd `dirname .obj/testgame1.0.0` && $(TAR) testgame1.0.0.tar testgame1.0.0 && $(COMPRESS) testgame1.0.0.tar) && $(MOVE) `dirname .obj/testgame1.0.0`/testgame1.0.0.tar.gz . && $(DEL_FILE) -r .obj/testgame1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: .moc/testgame.moc
compiler_moc_source_clean:
	-$(DEL_FILE) .moc/testgame.moc
.moc/testgame.moc: testgame.cc
	/usr/bin/moc $(DEFINES) $(INCPATH) testgame.cc -o .moc/testgame.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

.obj/testgame.o: testgame.cc .moc/testgame.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/testgame.o testgame.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
miniature (0.4.0-1fremantle1) lucid; urgency=low

  * Add Maemo5 support.

 -- Michael Hasselmann <michael@taschenorakel.de>  Fri, 14 Oct 2011 03:46:02 +0200

miniature (0.4.0-1) unstable; urgency=low

  * Fixes: BMO#12382 - Miniature doesn't handle end games
  * Fixes: BMO#12409 - Miniature doesn't handle rating values properly after the first move
  * Fixes: BMO#12395 - MainPage: Avoid upper case for the first letter in username input field
  * Fixes: BMO#12389 - About dialog button moves up when virtual keyboard is invoked
  * Fixes: BMO#12344 - Miniature chat in FICS doesn't work
  * Fixes: BMO#12382 - Miniature doesn't handle end games
  * Fixes: BMO#12365 - Promotion does not work
  * Fixes: BMO#12369 - Disconnection not handled correctly
  * Fixes: BMO#12363 - Signals for seeks cancelled and games started
  * Fixes: BMO#12375 - FICS login textfields should jump to next when pressing Enter
  * Fixes: BMO#12337 - Miniature UI can't handle incorrect FICS login
  * Fixes: BMO#12339 - Miniature logs to FICS already in MainPage
  * Fixes: BMO#12343 - Local timers should stop at 0
  * Fixes: BMO#12361 - Create a new game: "+" Button instead "new" button
  * Fixes: BMO#12363 - Signals for seeks cancelled and games started
  * Fixes: BMO#12364 - Frontend allows illegal moves in general
  * Fixes: BMO#12357 - Castling does not work (Using two N950s on FICS)
  * Fixes: BMO#12355 - List of games: Change possible time control filter options
  * Fixes: BMO#12336 - Multiple instances of Miniature can be opened

 -- Michael Hasselmann <michael@taschenorakel.de>  Tue, 13 Sep 2011 21:20:27 +0200

miniature (0.3.0-1) unstable; urgency=low

  * Nearly complete QML UI.
  * Can respond to FICS game ads.
  * Basic support to follow FICS games

 -- Michael Hasselmann <michael@taschenorakel.de>  Wed, 24 Aug 2011 00:01:05 +0200

miniature (0.2.1-1) unstable; urgency=low

  * Integrate QML UI with backend.
  * Implement live view for FICS game ads.

 -- Michael Hasselmann <michael@taschenorakel.de>  Mon, 01 Aug 2011 07:55:30 +0200

miniature (0.2.0-1) unstable; urgency=low

  * Rewrote backends from scratch.
  * Proof-of-concept FICS supoprt.
  * New QML UI.

 -- Michael Hasselmann <michael@taschenorakel.de>  Sun, 31 Jul 2011 07:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Michael Hasselmann <michael@taschenorakel.de>
-Uploaders: Michael Hasselmann <michael@taschenorakel.de>
-Build-Depends: debhelper (>= 5.0.0), cdbs,
- libqt4-dev, libqt4-dbus, libqt4-network, libqt4-svg, libqt4-opengl,
- libtelepathy-qt4-dev, libhildon1-dev (>= 2.2.19),
- osso-af-settings (>= 0.9.2), libgconf2-dev, libsqlite3-dev,
- desktop-file-utils, libosso-abook-dev
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
-
 
 Package: miniature
 Section: user/games
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libqtcore4 (>= 4.7), libqt4-network (>= 4.7), libqtgui4 (>= 4.7), libstdc++6 (>= 4.4.0)
 Description: A chess board to play and learn wherever you go.
  .
   * The main use case is playing online against other players at
@@ -25,9 +19,9 @@
   * Play P2P games against other players next to you or in your Contacts.
   * And not only regular chess. See also Antichess, Chess960...
  .
- Miniature is based on Qt, targets Maemo as primary platform and plans to have
- ports for Symbian, Windows Mobile and desktop OSs (Linux, Windows, Mac).
-XSBC-Bugtracker: https://bugs.maemo.org/buglist.cgi?product=Miniature
+ Miniature is based on Qt and targets MeeGo as primary platform.
+XSBC-Maemo-Display-Name: Miniature
+XB-Maemo-Display-Name: Miniature
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAVFgAAFRYBDHmQBwAAABl0RVh0U29mdHdhcmUAd3d3
@@ -75,4 +69,3 @@
  JturlQK3+Br3qX3ulFh8fYCG6TzLsnoYa0V7RycIYxBCVIuEEAItXj+69+Ya
  dXVcfP7lrHtno+cNAaRSXUpr7Orqgr+9HUIqSFkxXkoJt68N3cUt/83hfqW7
  0Zf/B0y6DUPWuArsAAAAAElFTkSuQmCC
-
